### Method

# Fwupd Device set_plugin

#### Declaration [src]

    void
    fwupd_device_set_plugin (
      FwupdDevice* self,
      const gchar* plugin
    )

#### Description [src]

Sets the plugin that created the device.

Available since: | 1.0.0

#### Parameters

`plugin` | `const gchar*`
| The plugin name, e.g. `hughski_colorhug`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.